Bug 205726 - up2date fails with expat error and python stacktrace
up2date fails with expat error and python stacktrace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.3
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
:
: 205724 205725 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 04:52 EDT by Klaus Ethgen
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0815
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus Ethgen 2006-09-08 04:52:49 EDT
Description of problem:
On one of our AS4 servers I get the following error trying to update the system
with "up2date -u":

xxxxxxx:~# up2date -u

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching rpm headers...
An error has occurred:
xml.parsers.expat.ExpatError
See /var/log/up2date for more information

In /var/log/up2date I find the following boring and useless python error
message:
---
[Fri Sep  8 10:42:07 2006] up2date updating login info
[Fri Sep  8 10:42:07 2006] up2date logging into up2date server
[Fri Sep  8 10:42:07 2006] up2date successfully retrieved authentication token 
from up2date server
[Fri Sep  8 10:42:07 2006] up2date availablePackageList from network
[Fri Sep  8 10:42:09 2006] up2date   File "/usr/sbin/up2date", line 1288, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 806, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1126, in batchRun
    batch.init()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
    self.__findPackagesToUpdate()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 112, in 
__findPackagesToUpdate
    self.availableUpdates = plist.getPackagesToInstall()
   File "/usr/share/rhn/up2date_client/packageList.py", line 682, in 
getPackagesToInstall
    result = self.__skipPackages(result)
   File "/usr/share/rhn/up2date_client/packageList.py", line 711, in 
__skipPackages
    packageList = self.__skipFiles(packageList)
   File "/usr/share/rhn/up2date_client/packageList.py", line 732, in __skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
   File "/usr/share/rhn/up2date_client/packageList.py", line 771, in 
buildHeaderList
    hdr = headerList[pkg]
   File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
   File "/usr/share/rhn/up2date_client/headers.py", line 42, in 
__retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 236, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 33, in getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback, 
progressCallback)
   File "/usr/share/rhn/up2date_client/rpmSource.py", line 213, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py", line 152, 
in getHeader
    fd = self.s.getPackageHeader(channel, filename)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 606, in __call__
    result = self._send(self._name, args)
   File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 319, in _request
    request, verbose=self._verbose)
   File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 185, in 
request
    return self._process_response(fd, connection)
   File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 213, in 
_process_response
    return self.parse_response(fd)
   File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 236, in 
parse_response
    p.close()
   File "/usr/lib/python2.3/xmlrpclib.py", line 531, in close
    self._parser.Parse("", 1) # end of data

---

I also tried to uninstall and reinstall up2date and rhnlib and also
reregistering the machine new on the satellite.

As you might expect, this is a very urgent issue as this machine is a important
server in our infrastructure and fully connected to the internet! There are
several high security bugs open which cannot applied!


Version-Release number of selected component (if applicable):
up2date-4.4.69-25
rhnlib-1.8.7-4


How reproducible:
See above.

Actual results:
See above.

Expected results:
Well, of course the update...
Comment 1 Red Hat Bugzilla 2007-04-11 21:12:06 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Todd Sanders 2007-05-22 11:35:22 EDT
*** Bug 205724 has been marked as a duplicate of this bug. ***
Comment 3 Todd Sanders 2007-05-22 11:36:05 EDT
*** Bug 205725 has been marked as a duplicate of this bug. ***
Comment 4 RHEL Product and Program Management 2007-05-24 13:06:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Pradeep Kilambi 2007-07-27 12:47:18 EDT
# up2date -u

Fetching Obsoletes list for channel: rhel-i386-server-5...

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------
MAKEDEV                                 3.23           1.2               i386  
NetworkManager                          0.6.4          6.el5             i386  
OpenIPMI                                2.0.6          5.el5.3           i386  
OpenIPMI-libs                           2.0.6          5.el5.3           i386  
PyXML                                   0.8.4          4                 i386  
SysVinit                                2.86           14                i386  
Xaw3d                                   1.5E           10.1              i386  
...
...
Installing...
   1:xorg-x11-deprecated-lib########################################### [100%]
   2:openmotif21            ########################################### [100%]
   3:seamonkey-nspr         ########################################### [100%]
   4:perl-Digest-HMAC       ########################################### [100%]

seems to be working properly as of 

# rpm -q up2date
up2date-4.5.5-7.el4

please try with latest version of up2date and let us know if you still see this
issue. moving to modified to reverify it with qa.
Comment 9 errata-xmlrpc 2007-11-15 11:33:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0815.html

Note You need to log in before you can comment on or make changes to this bug.